Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockListItem

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockListItem

Enclosing class:
  TdApi

public static final class TdApi.PageBlockListItem extends TdApi.Object
Describes an item of a list page block.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`label`
Item label.
`TdApi.PageBlock[]`
`pageBlocks`
Item blocks.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockListItem()`
Describes an item of a list page block.
`PageBlockListItem(DataInput input)`
Describes an item of a list page block.
`PageBlockListItem(String label, TdApi.PageBlock[] pageBlocks)`
Describes an item of a list page block.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### label

public String label
Item label.

### pageBlocks

public TdApi.PageBlock[] pageBlocks
Item blocks.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockListItem

public PageBlockListItem()
Describes an item of a list page block.

### PageBlockListItem

public PageBlockListItem(String label, TdApi.PageBlock[] pageBlocks)
Describes an item of a list page block.

Parameters:
  `label` - String Item label.
  `pageBlocks` - PageBlock[] Item blocks.

### PageBlockListItem

public PageBlockListItem(DataInput input) throws IOException
Describes an item of a list page block.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`